OPARI2_Region_info Struct Reference

This struct stores all information on OPARI2 regions. More...

`#include <opari2_region_info.h>`

## Data Fields

char * | mEndFileName
unsigned | mEndLine1
unsigned | mEndLine2
char * | mStartFileName
unsigned | mStartLine1
unsigned | mStartLine2

## Detailed Description

This struct stores all information on OPARI2 regions.

## Field Documentation

char* OPARI2_Region_info::mEndFileName

name of the corresponding source file from the closing pragma

unsigned OPARI2_Region_info::mEndLine1

line number of the first line from the closing pragma

unsigned OPARI2_Region_info::mEndLine2

line number of the last line from the closing pragma

char* OPARI2_Region_info::mStartFileName

name of the corresponding source file from the opening pragma

unsigned OPARI2_Region_info::mStartLine1

line number of the first line from the opening pragma

unsigned OPARI2_Region_info::mStartLine2

line number of the last line from the opening pragma

The documentation for this struct was generated from the following file:

- opari2_region_info.h